﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace Niche.BindingLagDemo
{
    public class SimpleDelegateCommand : ICommand
    {
        public SimpleDelegateCommand(Action<object> executeDelegate)
        {
            mExecuteDelegate = executeDelegate;
        }

        public void Execute(object parameter)
        {
            mExecuteDelegate(parameter);
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        private Action<object> mExecuteDelegate;
    }
}
